
#ifndef FIELD_H
#define FIELD_H


/**
 * @namespace magnetfield
 * Module containing classes to model the affective magnetic fields of accelerator components
 * and calibration tabls by means of interpolation
 */

/*
 * Auxiliary header for importing all the headers of the Field module
 * in a single shot.
 *
 * Requires canonical installation: all the headers in $PREFIX/include/field
 *
 * $Author: claudio $
 *
 * $Revision: 1.5 $
 *
 * $Log: field.h,v $
 * Revision 1.5  2018-11-15 15:23:42  claudio
 * start release_8 developement
 *
 * Revision 1.4  2009/06/01 09:47:48  claudio
 * added new periodicSpline class
 *
 * Revision 1.3  2009/01/07 08:45:02  claudio
 * naturalSpline class and files replaced by Spline - more generic
 *
 * Revision 1.2  2008/08/27 13:23:43  claudio
 * doxygen improvements
 *
 * Revision 1.1  2007/07/10 07:29:34  claudio
 * master header file for library users
 *
 *
 */

#include <magnet.h>
#include <dipole.h>
#include <quadrupole.h>
#include <sextupole.h>
#include <kicker.h>
#include <magnetfactory.h>

#endif // FIELD_H

