#include <iostream>
#include "field.h"

using namespace std;
using namespace magnetfield;

int main(){
	cout << "test of Field::Quadrupole classes" << endl;
	try{
		Magnetfactory* mf1 =new Magnetfactory();
		Quadrupole* q1=mf1->newQuadrupole("Q_SFEL02.01");
		double min,max;
		q1->getFieldRange(min,max);
		cout << "Q_SFEL02.01 field range: " << min << " " << max << endl;
		q1->getStrengthRange(min,max,0.05);
		cout << "Q_SFEL02.01 strength range at 0.05: " << min << " " << max << endl;
		q1->getStrengthRange(min,max,2.5);
		cout << "Q_SFEL02.01 strength range at 2.5: " << min << " " << max << endl;
		q1->setAlpha(0.5);
		q1->getStrengthRange(min,max,2.5);
		cout << "Q_SFEL02.01 strength range at 2.5: " << min << " " << max << endl;
		cout << "Q_SFEL02.01 strength at 5.0 Aa t 1.5 Gev: " << q1->excitationToStrength(5.0,1.5) << endl;
	}
	catch(std::invalid_argument& ex)
	{
		cout<<ex.what()<<endl;
	}
	return 0;
}
